<?php if(!is_single()) { global $more; $more = 0; } //enable more link ?>
<?php
/** Themify Default Variables
 *  @var object */
global $themify; ?>

<?php themify_post_before(); //hook ?>
<article id="post-<?php the_id(); ?>" <?php post_class("post clearfix " . $themify->get_categories_as_classes(get_the_id())); ?>>
	<?php themify_post_start(); //hook ?>

	<?php if($themify->hide_image != "yes"): ?>
		<?php themify_before_post_image(); // Hook ?>
		<?php
			//check if there is a video url in the custom field
			if( themify_has_post_video() ){
				echo themify_post_video();
			} else{ ?>
			<?php
			//otherwise display the featured image
			if( $post_image = themify_get_image($themify->auto_featured_image . $themify->image_setting . "w=".$themify->width."&h=".$themify->height ) ){ ?>

				<figure class="post-image <?php echo $themify->image_align; ?>">
					<?php if( 'yes' == $themify->unlink_image): ?>
						<?php echo $post_image; ?>
					<?php else: ?>
						<a href="<?php echo themify_get_featured_image_link(); ?>"><?php echo $post_image; ?><?php themify_zoom_icon(); ?></a>
					<?php endif; ?>
				</figure>

			<?php } ?>
		<?php themify_after_post_image(); // Hook ?>
	<?php }// end if video/image ?>

	<?php endif; //post image ?>

	<div class="post-content">

		<div class="post-date-wrap">
			<?php if($themify->hide_date != "yes"): ?>
				<time datetime="<?php the_time('o-m-d') ?>" class="post-date entry-date updated"><?php echo get_the_date( apply_filters( 'themify_loop_date', '' ) ) ?> <em>/</em></time>
			<?php endif; //post date ?>

			<?php if($themify->hide_meta != 'yes'): ?>
				<span class="post-category"><?php the_category(', ') ?></span>
			<?php endif; //post meta ?>
		</div>

		<?php if($themify->hide_title != "yes"): ?>
			<?php themify_post_title(); ?>
		<?php endif; //post title ?>

		<?php if($themify->hide_meta != 'yes'): ?>
			<p class="post-meta entry-meta">
				<span class="post-author"><?php echo themify_get_author_link(); ?> <em>/</em></span>
				<?php the_tags(' <span class="post-tag">', ', ', ' <em>/</em></span>'); ?>
				<?php  if( !themify_get('setting-comments_posts') && comments_open() ) : ?>
					<span class="post-comment"><?php comments_popup_link( __( '0 Comments', 'themify' ), __( '1 Comment', 'themify' ), __( '% Comments', 'themify' ) ); ?></span>
				<?php endif; //post comment ?>
			</p>
		<?php endif; //post meta ?>

		<div class="entry-content">

		<?php
			$more_text = themify_check( 'setting-default_more_text' ) 
				? themify_get( 'setting-default_more_text' ) 
				: __( 'More &rarr;', 'themify' );

			if( $themify->display_content === 'content' ) {
				the_content( $more_text );
			} else if( ! is_attachment() && $themify->display_content !== 'none' ) {
				the_excerpt();

				if( themify_check( 'setting-excerpt_more' ) ) {
					printf( '<p><a href="%s" class="more-link">%s</a></p>', get_the_permalink(), $more_text );
				}
			}
		?>

		</div><!-- /.entry-content -->

		<?php edit_post_link(__('Edit', 'themify'), '<span class="edit-button">[', ']</span>'); ?>

	</div>
	<!-- /.post-content -->

    <?php themify_post_end(); //hook ?>
</article>
<!-- /.post -->
<?php themify_post_after(); //hook ?>
